<?php
/**
 * @file views-view-fields.tpl.php
 * Default simple view template to all the fields as a row.
 *
 * - $view: The view in use.
 * - $fields: an array of $field objects. Each one contains:
 *   - $field->content: The output of the field.
 *   - $field->raw: The raw data for the field, if it exists. This is NOT output safe.
 *   - $field->class: The safe class id to use.
 *   - $field->handler: The Views field handler object controlling this field. Do not use
 *     var_export to dump this object, as it can't handle the recursion.
 *   - $field->inline: Whether or not the field should be inline.
 *   - $field->inline_html: either div or span based on the above flag.
 *   - $field->wrapper_prefix: A complete wrapper containing the inline_html to use.
 *   - $field->wrapper_suffix: The closing tag for the wrapper.
 *   - $field->separator: an optional separator that may appear before a field.
 *   - $field->label: The wrap label text to use.
 *   - $field->label_html: The full HTML of the label to use including
 *     configured element type.
 * - $row: The raw result object from the query, with all data it fetched.
 *
 * @ingroup views_templates
 */
?>
<?php  
/*
 *
 *  This entire thing is a hack.  The correct solution is to find out how to do the steps below
 *   using the views API within the commerce_kit module 
 */

/* Debugging stuff
 print ("field_list = <br />");
 print_r(array_keys($fields));
 print ("<br />");

 print ("class info = <br />");
 foreach ($fields as $field)
 {
   
   echo "field class = $field->class <br />";
   echo "field raw = $field->raw <br />"; 
   //$var = get_class_vars($field);
   //echo "class vars = ";
   //print_r($var);

 }

// print ("field variables = <br />");
//foreach ($fields['add_to_cart_form'] as $var => $value)
//   {
 //    print_r(get_class_vars($var));
 //         echo "$var is $value<br />";
 //  }
 
 */
?>


<?php 
$form_fields = array();

foreach ($fields as $id => $field) {

  $fname = $field->class;

  /* More debug
  print $field->raw . " = raw <br />";
  print $field->class . " =  class<br />";
  print $field->label . " = label <br />";
  print $field->content . " = content<br />";
  */
  
  switch ($fname) {
          case "product-id":
            $form_fields['kit_items'][$fname] = $field->raw;
            break;
          case "field-door-ref":
            $options = array();
            $options = explode(",", strip_tags($field->content));
            $form_fields['kit_items'][$fname] = $options;
            break;
          case "field-interiors-ref":
            $options = array();
            $options = explode(",", strip_tags($field->content));
            $form_fields['kit_items'][$fname] = $options;
            break;
          default:
            // If you need to use this code whilst it still being hacked together
            // the default should render the content, but I've used it for even more debug :)
			if (!empty($field->separator)) { ?>
				<?php print $field->separator; ?>
				<?php } ?>

				<?php print $field->wrapper_prefix; ?>
				<?php print $field->label_html; ?>
				<?php print $field->content; ?>
				<?php print $field->wrapper_suffix;
  
             break;            
  }
 }
  
 // Now we have all the kit items stored, get the product kit module to create a form for us
  if (module_exists('commerce_kit')) {
      print (commerce_kit_create_form($form_fields));
  }
?>
